### Constructor

# RB SourceSearchBasic new

#### Declaration [src]

    RBSourceSearch*
    rb_source_search_basic_new (
      RhythmDBPropType prop,
      const char* description
    )

#### Description [src]

Creates a new `RBSourceSearchBasic` instance. This performs simple string matching on a specified property.

#### Parameters

`prop`

  Type: `RhythmDBPropType`

  The `RhythmDBPropType` to search.

`description`

  Type: `const char*`

  Description for the search.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBSourceSearch`

Newly created `RBSourceSearchBasic`.

The caller of the function takes ownership of the data, and is responsible for freeing it.